summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2018-05-03 14:49:27 +0200
committerLars Wendler <polynomial-c@gentoo.org>2018-05-03 14:51:57 +0200
commit63d42644d9a8db444e726c804fdc7d9652bbc2d8 (patch)
tree43714677d4a49ec58b5d243d975c1ebeae9def4f /sys-block
parentapp-office/libreoffice: versionator -> eapi7-ver.eclass, some cleanup (diff)
downloadgentoo-63d42644d9a8db444e726c804fdc7d9652bbc2d8.tar.gz
gentoo-63d42644d9a8db444e726c804fdc7d9652bbc2d8.tar.bz2
gentoo-63d42644d9a8db444e726c804fdc7d9652bbc2d8.zip
sys-block/thin-provisioning-tools: Bump to version 0.7.6
Package-Manager: Portage-2.3.31, Repoman-2.3.9
Diffstat (limited to 'sys-block')
-rw-r--r--sys-block/thin-provisioning-tools/Manifest1
-rw-r--r--sys-block/thin-provisioning-tools/thin-provisioning-tools-0.7.6.ebuild61
2 files changed, 62 insertions, 0 deletions
diff --git a/sys-block/thin-provisioning-tools/Manifest b/sys-block/thin-provisioning-tools/Manifest
index a96a60d2a2f..c90c4bb0d73 100644
--- a/sys-block/thin-provisioning-tools/Manifest
+++ b/sys-block/thin-provisioning-tools/Manifest
@@ -4,3 +4,4 @@ DIST thin-provisioning-tools-0.7.0.tar.gz 230595 BLAKE2B 00238a682f80600e3a5bb6d
DIST thin-provisioning-tools-0.7.2.tar.gz 265819 BLAKE2B ccaecd37b1bfc2c7da6682651b51a9bdf7ececee806155b31b5342d3009109a510409a853ae54432fc810c4dd8f4a6207eb3cb84fa56bee273ef04ed0e5b34e6 SHA512 563363842ab0b92f563ac7fcaedb18b8fca70b0894ff30d55cc40487d53b035c32d3ef711adb7102ef1a55b26a75510239da2542b791d850a5cbccf1ddf1acdd
DIST thin-provisioning-tools-0.7.4.tar.gz 276652 BLAKE2B 5ed00d6c2b34524656e37e9db5f41e09e2a17970edfe89a7539cea8bdc87474c1a7f52841aa5ef07dfa5a1792dec3d01aa1e3c2a6bc56ae0556e89edad3a9fb3 SHA512 cf7f15efc1dca4e4961ae72a1cafa46985639619da90d0ef192d14e0c45ae7996365f3f87846cce6d27259f72caf14cba653254414876687e4d14f500687b3cb
DIST thin-provisioning-tools-0.7.5.tar.gz 278856 BLAKE2B f554a9001bc9dde3510e3702f184d48cd77ddfc04f16c7e054fea8a3a47fdce7796ca4fcdb8d155e3d22526535ae965e344b3c2735f6275a7702044536dff923 SHA512 65268cc0c68428fa89f039c097794f574ef79b1862de3208715b9180ba73b197f37d879b386b110c52d9f2d3e80fb069a8d48ee2939aa1fd2b88f2513babc763
+DIST thin-provisioning-tools-0.7.6.tar.gz 285428 BLAKE2B af74eff6d435f00e347872786fee8627f02844af122a9f1bf9ffd00234ce5275d3a61d9b4204313a19813cadbc0197bbeb9a1bd92d55992c6d9a03a299579e29 SHA512 395035b6f59fafb1c0f3e68750611e04f10223bc8d57b257e25c28c928647d1d2c6e94014b64ed90eeae1151fc7e5d23cf1aa428716e343338cb3c8fe55ed704
diff --git a/sys-block/thin-provisioning-tools/thin-provisioning-tools-0.7.6.ebuild b/sys-block/thin-provisioning-tools/thin-provisioning-tools-0.7.6.ebuild
new file mode 100644
index 00000000000..543902c4aa9
--- /dev/null
+++ b/sys-block/thin-provisioning-tools/thin-provisioning-tools-0.7.6.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools flag-o-matic
+
+DESCRIPTION="A suite of tools for thin provisioning on Linux"
+HOMEPAGE="https://github.com/jthornber/thin-provisioning-tools"
+SRC_URI="https://github.com/jthornber/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="static test"
+
+LIB_DEPEND="dev-libs/expat[static-libs(+)]
+ dev-libs/libaio[static-libs(+)]"
+RDEPEND="!static? ( ${LIB_DEPEND//\[static-libs(+)]} )"
+# || ( ) is a non-future proof workaround for Portage unefficiency wrt #477050
+DEPEND="${RDEPEND}
+ static? ( ${LIB_DEPEND} )
+ test? (
+ || ( dev-lang/ruby:2.9 dev-lang/ruby:2.8 dev-lang/ruby:2.7 dev-lang/ruby:2.6 dev-lang/ruby:2.5 dev-lang/ruby:2.4 dev-lang/ruby:2.3 dev-lang/ruby:2.2 dev-lang/ruby:2.1 )
+ >=dev-cpp/gtest-1.8.0
+ dev-util/cucumber
+ dev-util/aruba
+ )
+ dev-libs/boost"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.7.0-build-fixes.patch
+)
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ use static && append-ldflags -static
+ STRIP=true econf \
+ --prefix="${EPREFIX}"/ \
+ --bindir="${EPREFIX}"/sbin \
+ --with-optimisation='' \
+ $(use_enable test testing)
+}
+
+src_compile() {
+ MAKEOPTS+=" V="
+ default
+}
+
+src_test() {
+ emake unit-test
+}
+
+src_install() {
+ emake DESTDIR="${D}" DATADIR="${ED%/}/usr/share" install
+ dodoc README.md TODO.org
+}